/* Blinker
   Copyright 2011-2014 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef BLINKER_BOOL_H
#define BLINKER_BOOL_H

#include <string>

namespace Blinker {

/// a bolean value
class Bool
{
public:
  /// constructor
  Bool();

public:
  /**
   * @brief parse from string format
   * @param[in] str string format
   * @return if parsing was successful
   */
  bool fromStr(const std::string &str);

  /**
   * @brief convert to string format
   * @return string format
   */
  std::string toStr() const;

public:
  unsigned int m_bool; ///< boolean value
}; // class Bool

} // namespace Blinker

#endif // #ifndef BLINKER_BOOL_H

